# @Author: Bi Ying
# @Date:   2024-07-27 18:26:05
sample_settings = {
    "endpoints": [
        {
            "id": "moonshot-default",
            "api_base": "https://api.moonshot.cn/v1",
            "api_key": "",
            "rpm": 30,
            "tpm": 3000000,
            "concurrent_requests": 30,
        },
        {
            "id": "azure-openai",
            "region": "East US",
            "api_base": "",
            "endpoint_name": "",
            "api_key": "",
            "rpm": 900,
            "tpm": 150000,
            "is_azure": True,
        },
        {
            "id": "vertex-anthropic",
            "region": "europe-west1",
            "api_base": "",
            "credentials": {},
            "is_vertex": True,
        },
        {
            "id": "minimax-default",
            "api_base": "https://api.minimax.chat/v1/text/chatcompletion_v2",
            "api_key": "",
        },
        {
            "id": "gemini-default",
            "api_base": "",
            "api_key": "",
        },
    ],
    "moonshot_models": {
        "moonshot-custom": {
            "id": "moonshot-v1-8k",
            "endpoints": ["moonshot-default"],
            "function_call_available": True,
            "response_format_available": True,
            "context_length": 8000,
            "max_output_tokens": 4000,
        },
        "moonshot-v1-8k": {
            "endpoints": ["moonshot-default"],
        },
        "moonshot-v1-32k": {
            "endpoints": ["moonshot-default"],
        },
        "moonshot-v1-128k": {
            "endpoints": ["moonshot-default"],
        },
    },
    "openai_models": {
        "gpt-4o": {
            "id": "gpt-4o",
            "endpoints": ["azure-openai"],
        }
    },
    "anthropic_models": {
        "claude-3-5-sonnet-20240620": {
            "id": "claude-3-5-sonnet@20240620",
            "endpoints": ["vertex-anthropic"],
        }
    },
    "minimax_models": {
        "abab6.5s-chat": {
            "id": "abab6.5s-chat",
            "endpoints": ["minimax-default"],
        }
    },
    "gemini_models": {
        "gemini-1.5-pro": {
            "id": "gemini-1.5-pro",
            "endpoints": ["gemini-default"],
        },
        "gemini-1.5-flash": {
            "id": "gemini-1.5-flash",
            "endpoints": ["gemini-default"],
        },
    },
}
